﻿using System;

namespace Inedo.Consolation
{
    /// <summary>
    /// Defines an alias that can be applied to a console option or command.
    /// </summary>
    [AttributeUsage(AttributeTargets.Method | AttributeTargets.Property | AttributeTargets.Parameter, AllowMultiple = true)]
    public sealed class ConsoleAliasAttribute : Attribute
    {
        public ConsoleAliasAttribute(string alias)
        {
            this.Alias = alias;
        }

        /// <summary>
        /// Gets the alias for the console option or command.
        /// </summary>
        public string Alias { get; }
    }
}
